Loading...
Searching...
No Matches
Opm::RawRecord Class Reference

Class representing the lowest level of the Raw datatypes, a record. More...

`#include <RawRecord.hpp>`

## Public Member Functions

| RawRecord (const std::string_view &, const KeywordLocation &, bool text)
| RawRecord (const std::string_view &, const KeywordLocation &)
std::string_view | pop_front ()
std::string_view | front () const
void | push_front (std::string_view token, std::size_t count)
size_t | size () const
std::size_t | max_size () const
std::string | getRecordString () const
std::string_view | getItem (size_t index) const

## Detailed Description

Class representing the lowest level of the Raw datatypes, a record.

A record is simply a vector containing the record elements, represented as strings. Some logic is present to handle special elements in a record string, particularly with quote characters.

The documentation for this class was generated from the following files:

- opm/input/eclipse/Parser/raw/RawRecord.hpp
- opm/input/eclipse/Parser/raw/RawRecord.cpp